import { aws_route53 as r53, aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface RemoteVpc {
    readonly vpcId: string;
    readonly vpcRegion: string;
}
export interface CentralAccount {
    readonly accountId: string;
    readonly roleArn: string;
}
export interface EnterpriseZoneProps {
    readonly enterpriseDomainName: string;
    readonly localVpc: ec2.Vpc;
    readonly remoteVpc: RemoteVpc[];
    readonly centralAccount: CentralAccount;
}
/**
 * create forwarding rules and associate them with a vpc.
 */
export declare class EnterpriseZone extends constructs.Construct {
    readonly privateZone: r53.PrivateHostedZone;
    constructor(scope: constructs.Construct, id: string, props: EnterpriseZoneProps);
}
